From: Florian Schanda <florian.schanda@altran-praxis.com>
Date: Tue, 15 Mar 2011 20:13:18 +0000
Subject: Various fixes
Origin: upstream
--- a/simplifier/defectreporting.pro
+++ b/simplifier/defectreporting.pro
@@ -69,7 +69,6 @@ message_hook(Severity, _Message, Lines):
 % Report all other messages, but do not separate these with blank lines nor
 % count these as defects.
 message_hook(Severity, _Message, Lines):-
-    print_message_lines(user_error, Severity, Lines), flush_output,
     !.
 
 %-------------------------------------------------------------------------------
--- a/simplifier/load__switches.pro
+++ b/simplifier/load__switches.pro
@@ -181,7 +181,7 @@ load_switches:-
     set_auto_settings,
 
     % Retrieve arguments.
-    current_prolog_flag(argv, Arguments_AtomList),
+    current_prolog_flag(argv, [_Prolog, _X, _Exe, _Minuses | Arguments_AtomList]),
 
     % Parse arguments.
     parse_arguments(Arguments_AtomList, CMDLine_List),
--- a/simplifier/load__vcg_dpc.pro
+++ b/simplifier/load__vcg_dpc.pro
@@ -434,14 +434,6 @@ scan_for_vc_hypothesis(Stream, CharList,
     % Retrieve the term from the stream.
     read_term(Stream, Hyp_Term, []),
 
-    % Consume rest of line following the term.
-
-
-
-
-    % Accept any text up to the next newline.
-    read_line_from_stream(Stream, _ReadText),
-
     add_vcg_hypothesis(Number_Int, Hyp_Term, ParentVCId_Atom),
     !.
 
@@ -469,13 +461,6 @@ scan_for_vc_conclusion(Stream, CharList,
 
     % Retrieve the term from the stream.
     read_term(Stream, Conc_Term, []),
-    % Consume rest of line following the term.
-
-
-
-
-    % Accept any text up to the next newline.
-    read_line_from_stream(Stream, _ReadText),
 
     add_vcg_conclusion(Number_Int, Conc_Term, ParentVCId_Atom),
     !.
